Skip to main content
`Ctrl`+`K`

# KSPGMRESMonitorKrylov

Calls `VecView()` to monitor each new direction in the `KSPGMRES` accumulated Krylov space.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGMRESMonitorKrylov(KSP ksp, PetscInt its, PetscReal fgnorm, void *dummy)

Collective

## Input Parameters

- ksp - the `KSP` context

- its - iteration number

- fgnorm - 2-norm of residual (or gradient)

- dummy - a collection of viewers created with `PetscViewersCreate()`

## Options Database Key

- -ksp_gmres_krylov_monitor <bool> - Plot the Krylov directions

## Note

A new `PETSCVIEWERDRAW` is created for each Krylov vector so they can all be simultaneously viewed

## See Also

KSP: Linear System Solvers, `KSPGMRES`, `KSPMonitorSet()`, `KSPMonitorResidual()`, `VecView()`, `PetscViewersCreate()`, `PetscViewersDestroy()`

## Level

intermediate

## Location

src/ksp/ksp/impls/gmres/gmres.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages